﻿using UnityEngine;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;

namespace Mod
{
    public class EMP2 : MonoBehaviour
    {
    private AudioSource audio;
    private AudioSource Audio;
    private LightSprite light;
    public void Awake()
    {
        StartCoroutine("Ctt1");
    }
    IEnumerator Ctt1()
    {
        audio = this.gameObject.GetOrAddComponent<AudioSource>();
        audio.spatialBlend = 0.1f;
        audio.minDistance = 1;
        audio.maxDistance = 3;
        audio.playOnAwake = false;
        audio.loop = true;
        audio.clip = Cyborg.PlasmaPistolLoop;
        yield return new WaitForSeconds(0.001f);
        audio.Play();
        this.GetComponent<SpriteRenderer>().sharedMaterial = ModAPI.FindMaterial("VeryBright");
        this.transform.GetComponent<SpriteRenderer>().color = new Color(0f, 1f, 0f, 0.0378f);

        this.transform.root.localScale += new Vector3(2f, 2f);

        yield return new WaitForSeconds(10f);
        //this.GetComponent<SpriteRenderer>().sharedMaterial = ModAPI.FindMaterial("Sprites-Default");
        //this.transform.GetComponent<SpriteRenderer>().color = new Color(0f, 0f, 0f, 1f);
        var effect = ModAPI.CreateParticleEffect("Spark", new Vector2(this.transform.position.x, this.transform.position.y));
        var main = effect.GetComponent<ParticleSystem>().main;main.startColor = new Color(0f, 300f, 0f, 300f);

        this.transform.root.localScale -= new Vector3(2f, 2f);

        yield return new WaitForSeconds(0.8f);
        audio.Stop();
        var effect2 = ModAPI.CreateParticleEffect("Explosion", new Vector2(this.transform.position.x, this.transform.position.y));
        var main2 = effect2.GetComponent<ParticleSystem>().main;main2.startColor = new Color(0f, 300f, 0f, 300f);
        this.transform.BroadcastMessage("Crush", SendMessageOptions.DontRequireReceiver);
        this.GetComponent<SpriteRenderer>().sharedMaterial = ModAPI.FindMaterial("Sprites-Default");
        this.transform.GetComponent<SpriteRenderer>().color = new Color(0f, 0f, 0f, 1f);
        this.GetComponent<PhysicalBehaviour>().rigidbody.gravityScale = 1f;
        yield return new WaitForSeconds(0.455f);
        this.transform.BroadcastMessage("Disintegrate", SendMessageOptions.DontRequireReceiver);
    }
  }
 }